/// <reference types="node" />
import { Plugin } from 'vite';
import EventEmitter from 'events';
declare module 'vite' {
    interface ViteDevServer {
        emitter: EventEmitter;
    }
}
export interface HmrOptions {
    watch?: {
        [key: string]: {
            pattern: string;
            transform: boolean;
            rename?: (file: string) => string;
        };
    };
}
export interface HmrData {
    file: string;
    event: string;
    type: string;
    transform: boolean;
    initial: boolean;
    timestamp: number;
}
export declare const hmrPluginName = "viteburner:hmr";
export declare function hmrPlugin(): Plugin;
export default hmrPlugin;
